module Main where

import Eval
import Lexer
import Library
import Parser
import REPL (repl)
import Research

import qualified Data.Map as Map
import Text.Megaparsec (runParser)

main :: IO ()
main = repl library

runSapling :: String -> String
runSapling s = show $ result (evalSapling Map.empty $ parseSapling s)
runSaplingEnv env s = show $ result (evalSapling env $ parseSapling s)
